mixed-port: 7890
allow-lan: false
mode: rule
ipv6: false
log-level: info
external-controller: 0.0.0.0:9090
dns:
  enable: true
  listen: 0.0.0.0:53
  ipv6: false
  default-nameserver:
    - 223.5.5.5
    - 114.114.114.114
  nameserver:
    - 223.5.5.5
    - 114.114.114.114
    - 119.29.29.29
    - 180.76.76.76
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*.lan"
    - "*.localdomain"
    - "*.example"
    - "*.invalid"
    - "*.localhost"
    - "*.test"
    - "*.local"
    - "*.home.arpa"
    - router.asus.com
    - localhost.sec.qq.com
    - localhost.ptlogin2.qq.com
    - +.msftconnecttest.com
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - 114.114.114.114
    - 180.76.76.76
    - 119.29.29.29
    - 223.5.5.5
    - 8.8.8.8
    - 8.8.4.4
    - 1.1.1.1
    - 1.0.0.1


proxies:
  - type: hysteria
    name: 🇫🇷_FR_法国
    server: 195.154.200.40
    port: 15010
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: "100"
    down: "100"
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria
    name: 🇺🇸_US_美国
    server: 51.159.226.1
    port: 49003
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: "11"
    down: "55"
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria
    name: 🇫🇷_FR_法国_1
    server: 62.210.10.186
    port: 50011
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: 11 Mbps
    down: 55 Mbps
    skip-cert-verify: true
    alpn:
      - h3
  - type: vless
    name: 🇸🇬_SG_新加坡
    server: sg.fluxcommunity.my.id
    port: 2082
    uuid: ff831988-b64a-4bc3-93dd-58389c91a03a
    network: ws
    servername: sg.fluxcommunity.my.id
    ws-opts:
      path: /vless
      headers:
        Host: sg.fluxcommunity.my.id
    client-fingerprint: chrome
  - type: hysteria
    name: 🇫🇷_FR_法国_2
    server: 62.210.10.186
    port: 35511
    auth-str: dongtaiwang.com
    protocol: udp
    sni: apple.com
    up: "11"
    down: "55"
    skip-cert-verify: true
    alpn:
      - h3
  - type: hysteria2
    name: 🇨🇳_CN_中国
    server: f8703d1a-t6r5s0-tb016b-1m7l4.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: bd515574-3b10-11ee-ac14-f23c9164ca5d
    sni: f8703d1a-t6r5s0-tb016b-1m7l4.hk2.hyhuawei.com
  - type: hysteria2
    name: 🇨🇳_CN_中国_1
    server: df9ad4da-t6t0g0-t80oqd-1rsuw.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: 0de37cdc-abff-11ef-b7c6-f23c913c8d2b
    sni: df9ad4da-t6t0g0-t80oqd-1rsuw.hk2.hyhuawei.com
  - type: vless
    name: 🇷🇺_RU_俄罗斯
    server: nl-78w-c.southnetworks.cloud
    port: 80
    uuid: 094e66a9-8d92-41fe-85ad-8e7bf9b5fcaa
    network: ws
    servername: nl-78w-c.southnetworks.cloud
    ws-opts:
      path: /getWorkerUpdates
      headers:
        Host: nl-78w-c.southnetworks.cloud
  - type: vless
    name: 🇬🇧_GB_英国
    server: 91.84.118.130
    port: 1443
    uuid: 2a2a6062-003c-4f44-b293-ee0d0416afee
    network: grpc
    servername: ozon.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: JuDrUZsgHt0i_hz3kOhQbiX708vbjR9uHHFwi3fWqSc
      short-id: 47e92a4b0513b27f
    grpc-opts:
      grpc-service-name: admin
    client-fingerprint: chrome
  - type: vless
    name: 🇷🇺_RU_俄罗斯_1
    server: 176.123.162.253
    port: 8443
    uuid: 2a2a6062-003c-0004-b293-ee0d0416afee
    network: tcp
    servername: pimg.mycdn.me
    tls: true
    encryption: none
    reality-opts:
      public-key: 73XglR9lOaXBISd7mGgTEP60v28mz8pmCDivcDAF_WU
      short-id: aea104e730
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: hysteria2
    name: 🇨🇳_CN_中国_2
    server: 22d6f82f-t6t0g0-tkgk4w-1fvdh.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: 9e1ddc04-073b-11ed-bd7c-f23c913c8d2b
    sni: 22d6f82f-t6t0g0-tkgk4w-1fvdh.hk2.hyhuawei.com
  - type: hysteria2
    name: 🇨🇳_CN_中国_3
    server: 21d94221-t6pb40-tdps9l-155d9.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: 34f0cf42-0f8a-11ec-a8bf-f23c91cfbbc9
    sni: 21d94221-t6pb40-tdps9l-155d9.hk2.hyhuawei.com
  - type: hysteria2
    name: 🇨🇳_CN_中国_4
    server: 6761e2ad-t6pb40-tnfe2z-1s4hc.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: aafedc64-9c23-11ef-a79f-f23c91cfbbc9
    sni: 6761e2ad-t6pb40-tnfe2z-1s4hc.hk2.hyhuawei.com
  - type: vless
    name: 🇺🇸_US_美国_1
    server: 69.84.182.13
    port: 443
    uuid: be52060e-7934-4bc6-89b3-0b6cf4cda789
    network: ws
    servername: fr-1-fr-1.aiopen.sbs
    tls: true
    ws-opts:
      path: /kbjc/fr1
      headers:
        Host: fr-1-fr-1.aiopen.sbs
    client-fingerprint: chrome
  - type: hysteria2
    name: 🇨🇳_CN_中国_5
    server: a72b4e9b-t6t0g0-t7c05o-n09f.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: 89b0ea8c-806b-11ed-94ba-f23c913c8d2b
    sni: a72b4e9b-t6t0g0-t7c05o-n09f.hk2.hyhuawei.com
  - type: hysteria2
    name: 🇨🇳_CN_中国_6
    server: 11c76ef0-t6r5s0-th9kx9-1os43.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: 96c798f6-4645-11ee-b8a1-f23c9164ca5d
    sni: 11c76ef0-t6r5s0-th9kx9-1os43.hk2.hyhuawei.com
  - type: vless
    name: 🇬🇧_GB_英国_1
    server: 51.250.25.11
    port: 1488
    uuid: 4a6de183-2ad3-456c-b420-feeac81f6257
    network: tcp
    servername: ads.x5.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: SbVKOEMjK0sIlbwg4akyBg5mL5KZwwB-ed4eEE7YnRc
      short-id: 6ba85179e30d4fc2
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: hysteria2
    name: 🇨🇳_CN_中国_7
    server: d15b0a2f-t6pb40-tc61cs-1tja8.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: d2f0bee2-02f1-11f0-8eb0-f23c9164ca5d
    sni: d15b0a2f-t6pb40-tc61cs-1tja8.hk2.hyhuawei.com
  - type: vless
    name: 🇬🇧_GB_英国_2
    server: 51.250.109.47
    port: 1488
    uuid: 4a6de183-2ad3-456c-b420-feeac81f6257
    network: tcp
    servername: ads.x5.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: SbVKOEMjK0sIlbwg4akyBg5mL5KZwwB-ed4eEE7YnRc
      short-id: 6ba85179e30d4fc2
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇬🇧_GB_英国_3
    server: 51.250.99.190
    port: 1488
    uuid: 4a6de183-2ad3-456c-b420-feeac81f6257
    network: tcp
    servername: ads.x5.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: SbVKOEMjK0sIlbwg4akyBg5mL5KZwwB-ed4eEE7YnRc
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇬🇧_GB_英国_4
    server: 144.124.254.31
    port: 1443
    uuid: 2a2a6062-003c-4f44-b293-ee0d0416afee
    network: grpc
    servername: ozon.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: JuDrUZsgHt0i_hz3kOhQbiX708vbjR9uHHFwi3fWqSc
      short-id: 47e92a4b0513b27f
    grpc-opts:
      grpc-service-name: admin
    client-fingerprint: chrome
  - type: vless
    name: 🇷🇺_RU_俄罗斯_2
    server: istanbul.fonixapp.org
    port: 443
    uuid: cb7188cf-2c3a-43a5-af90-d893922e4917
    network: tcp
    servername: fonts.gstatic.com
    tls: true
    encryption: none
    reality-opts:
      public-key: eS0NqJCAo6Jn4PuU3nU4A5D7RyNbn3WyhipXViddnzI
      short-id: "5457"
      spider-x: /
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: hysteria2
    name: 🇺🇸_US_美国_2
    server: 134.195.101.191
    port: 35000
    ports: 35000-39000
    password: be52060e-7934-4bc6-89b3-0b6cf4cda789
    skip-cert-verify: true
    sni: www.apple.com
  - type: vless
    name: 🇬🇧_GB_英国_5
    server: uk1.oomz.ru
    port: 443
    uuid: 937f8940-ad8a-409f-93c3-4d6249af628f
    network: tcp
    servername: www.bp.com
    tls: true
    encryption: none
    reality-opts:
      public-key: _dsOu_vxEU7pY3sIeGJxIpR0Ac2KoqIyBor2Bx0CwGA
      short-id: d923
    client-fingerprint: qq
    flow: xtls-rprx-vision
  - type: trojan
    name: 🇷🇺_RU_俄罗斯_3
    server: 46.29.161.237
    port: 443
    password: af4b064a9c39472fb34ad8b113acdc6b
    network: tcp
    sni: 46.29.161.237
    skip-cert-verify: true
  - type: vless
    name: 🇨🇦_CA_加拿大
    server: 167.17.70.16
    port: 8443
    uuid: 55975415-43c0-461c-8752-d5b8013364e3
    network: tcp
    servername: www.microsoft.com
    tls: true
    encryption: none
    reality-opts:
      public-key: 8W9r2aXGhKNtvPxnL6EiPpQuSm9OJT17x2xyxwxIo30
      short-id: 84f70f1177981563
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇺🇸_US_美国_3
    server: antimage.fonixapp.org
    port: 443
    uuid: f81d5b9b-c5b7-46cb-8710-0cf41ab33570
    network: tcp
    servername: ajax.cloudflare.com
    tls: true
    encryption: none
    reality-opts:
      public-key: WeNlf_hPscBLSwtg1PgOmurK1f7VyQSNPmOYeG0wIQw
      short-id: 6590cb
      spider-x: /
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇺🇸_US_美国_4
    server: lifestealer.fonixapp.org
    port: 443
    uuid: e3af49ba-6a41-4fa1-8f21-f40d1f154c68
    network: tcp
    servername: configuration.apple.com
    tls: true
    encryption: none
    reality-opts:
      public-key: DJ1l1bgvwpj-SoHuC6eLVfzd3rp1zQmCV76fdVazMgc
      short-id: 173c58
    client-fingerprint: chrome
    flow: xtls-rprx-vision
  - type: vless
    name: 🇸🇦_SA_沙特阿拉伯
    server: 213.165.63.234
    port: 62728
    uuid: e03b538a-91c9-4d3c-a2cb-8a6b1d8df54f
    network: tcp
    servername: yandex.ru
    tls: true
    encryption: none
    reality-opts:
      public-key: ITde_Ktn7SlHLykmQ4vzVXLXZd0J7ZxuS3Oc4bNHFg8
      short-id: d8edfadb35ecdf00
    client-fingerprint: chrome
  - type: hysteria2
    name: 🇨🇳_CN_中国_8
    server: 84041b9f-t6pb40-t6z0et-1t60o.hk2.hyhuawei.com
    port: 443
    ports: 30000-60000
    password: ce481c6e-f4c8-11ef-bbb0-f23c91cfbbc9
    sni: 84041b9f-t6pb40-t6z0et-1t60o.hk2.hyhuawei.com
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇫🇷_FR_法国
      - 🇺🇸_US_美国
      - 🇫🇷_FR_法国_1
      - 🇸🇬_SG_新加坡
      - 🇫🇷_FR_法国_2
      - 🇨🇳_CN_中国
      - 🇨🇳_CN_中国_1
      - 🇷🇺_RU_俄罗斯
      - 🇬🇧_GB_英国
      - 🇷🇺_RU_俄罗斯_1
      - 🇨🇳_CN_中国_2
      - 🇨🇳_CN_中国_3
      - 🇨🇳_CN_中国_4
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国_5
      - 🇨🇳_CN_中国_6
      - 🇬🇧_GB_英国_1
      - 🇨🇳_CN_中国_7
      - 🇬🇧_GB_英国_2
      - 🇬🇧_GB_英国_3
      - 🇬🇧_GB_英国_4
      - 🇷🇺_RU_俄罗斯_2
      - 🇺🇸_US_美国_2
      - 🇬🇧_GB_英国_5
      - 🇷🇺_RU_俄罗斯_3
      - 🇨🇦_CA_加拿大
      - 🇺🇸_US_美国_3
      - 🇺🇸_US_美国_4
      - 🇸🇦_SA_沙特阿拉伯
      - 🇨🇳_CN_中国_8
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇫🇷_FR_法国
      - 🇺🇸_US_美国
      - 🇫🇷_FR_法国_1
      - 🇸🇬_SG_新加坡
      - 🇫🇷_FR_法国_2
      - 🇨🇳_CN_中国
      - 🇨🇳_CN_中国_1
      - 🇷🇺_RU_俄罗斯
      - 🇬🇧_GB_英国
      - 🇷🇺_RU_俄罗斯_1
      - 🇨🇳_CN_中国_2
      - 🇨🇳_CN_中国_3
      - 🇨🇳_CN_中国_4
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国_5
      - 🇨🇳_CN_中国_6
      - 🇬🇧_GB_英国_1
      - 🇨🇳_CN_中国_7
      - 🇬🇧_GB_英国_2
      - 🇬🇧_GB_英国_3
      - 🇬🇧_GB_英国_4
      - 🇷🇺_RU_俄罗斯_2
      - 🇺🇸_US_美国_2
      - 🇬🇧_GB_英国_5
      - 🇷🇺_RU_俄罗斯_3
      - 🇨🇦_CA_加拿大
      - 🇺🇸_US_美国_3
      - 🇺🇸_US_美国_4
      - 🇸🇦_SA_沙特阿拉伯
      - 🇨🇳_CN_中国_8
    url: http://www.gstatic.com/generate_204
    interval: 300
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇫🇷_FR_法国
      - 🇺🇸_US_美国
      - 🇫🇷_FR_法国_1
      - 🇸🇬_SG_新加坡
      - 🇫🇷_FR_法国_2
      - 🇨🇳_CN_中国
      - 🇨🇳_CN_中国_1
      - 🇷🇺_RU_俄罗斯
      - 🇬🇧_GB_英国
      - 🇷🇺_RU_俄罗斯_1
      - 🇨🇳_CN_中国_2
      - 🇨🇳_CN_中国_3
      - 🇨🇳_CN_中国_4
      - 🇺🇸_US_美国_1
      - 🇨🇳_CN_中国_5
      - 🇨🇳_CN_中国_6
      - 🇬🇧_GB_英国_1
      - 🇨🇳_CN_中国_7
      - 🇬🇧_GB_英国_2
      - 🇬🇧_GB_英国_3
      - 🇬🇧_GB_英国_4
      - 🇷🇺_RU_俄罗斯_2
      - 🇺🇸_US_美国_2
      - 🇬🇧_GB_英国_5
      - 🇷🇺_RU_俄罗斯_3
      - 🇨🇦_CA_加拿大
      - 🇺🇸_US_美国_3
      - 🇺🇸_US_美国_4
      - 🇸🇦_SA_沙特阿拉伯
      - 🇨🇳_CN_中国_8
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/LocalAreaNetwork.list
    path: ./rules/providers/LocalAreaNetwork.list
    interval: 86400
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/BanAD.list
    path: ./rules/providers/BanAD.list
    interval: 86400
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/BanProgramAD.list
    path: ./rules/providers/BanProgramAD.list
    interval: 86400
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/GoogleCN.list
    path: ./rules/providers/GoogleCN.list
    interval: 86400
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Ruleset/SteamCN.list
    path: ./rules/providers/SteamCN.list
    interval: 86400
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Telegram.list
    path: ./rules/providers/Telegram.list
    interval: 86400
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyMedia.list
    path: ./rules/providers/ProxyMedia.list
    interval: 86400
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyLite.list
    path: ./rules/providers/ProxyLite.list
    interval: 86400
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaDomain.list
    path: ./rules/providers/ChinaDomain.list
    interval: 86400
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ChinaCompanyIp.list
    path: ./rules/providers/ChinaCompanyIp.list
    interval: 86400

rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🛑 全球拦截
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Telegram,🚀 节点选择
  - RULE-SET,ProxyMedia,🚀 节点选择
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼